"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * functions inside can be overridden
 * */
var JsonHelpers;
(function (JsonHelpers) {
    function isTimeName(name) {
        if (typeof name === 'symbol') {
            name = Symbol.keyFor(name);
        }
        if (typeof name === 'string') {
            name = name.toLocaleLowerCase();
            return name.includes('time') || name.includes('date');
        }
        return false;
    }
    JsonHelpers.isTimeName = isTimeName;
    function toStringName(name) {
        if (typeof name === 'symbol') {
            return Symbol.keyFor(name);
        }
        return name;
    }
    JsonHelpers.toStringName = toStringName;
})(JsonHelpers = exports.JsonHelpers || (exports.JsonHelpers = {}));
function appendChild(parent, e) {
    if (Array.isArray(e)) {
        e.forEach((e) => appendChild(parent, e));
    }
    else {
        parent.appendChild(e);
    }
}
exports.appendChild = appendChild;
//# sourceMappingURL=helpers.js.map